Bug 197697 - Add methods allowing to move to wizard's next/previous steps
Add methods allowing to move to wizard's next/previous steps
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
7.0.1
All All
: P2 (vote)
: 7.0.1
Assigned To: Stanislav Aubrecht
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks: 55627
  Show dependency treegraph
 
Reported: 2011-04-13 09:34 UTC by Stanislav Aubrecht
Modified: 2011-04-22 05:05 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch & api changes (3.83 KB, patch)
2011-04-13 09:36 UTC, Stanislav Aubrecht
Details | Diff
using the new API in new file/new project wizards (9.12 KB, patch)
2011-04-13 09:53 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2011-04-13 09:34:46 UTC
The current wizard API doesn't allow programmatic changes to wizard's state - it isn't possible to move to wizard's next step for example when user double-clicks selected item in 'new file' wizard.

The proposed change just makes public four existing methods in WizardDescriptor class. The methods are currently declared 'final package private'.
Comment 1 Stanislav Aubrecht 2011-04-13 09:36:40 UTC
Created attachment 107714 [details]
proposed patch & api changes
Comment 2 Stanislav Aubrecht 2011-04-13 09:53:35 UTC
Created attachment 107715 [details]
using the new API in new file/new project wizards
Comment 3 Jaroslav Tulach 2011-04-13 12:25:43 UTC
Y01 write some basic tests, please.
Y02 assert EventQueue.isDispatchThread() might be better than saying "is not safe to call...".
Comment 4 Stanislav Aubrecht 2011-04-20 09:12:47 UTC
Y01: those methods are already used in WizardDescriptor unit tests, e.g. org.openide.WizardDescTest
i don't think i unit test those methods in any better way.

Y02: ok
Comment 5 Stanislav Aubrecht 2011-04-20 09:13:21 UTC
if there are no more comments, i'll integrate the changes tomorrow
Comment 6 Stanislav Aubrecht 2011-04-21 09:27:05 UTC
core-main b0b5d45bebf7
Comment 7 Quality Engineering 2011-04-22 05:05:24 UTC
Integrated into 'main-golden', will be available in build *201104220000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b0b5d45bebf7
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #197697 - Add methods allowing to move to wizard's next/previous steps


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo